import { CookieSerializeOptions } from 'cookie';
import { Ref } from '@src/api';
export declare function useCookie(cookieName: string, enableParseJSON?: boolean, runOnMount?: boolean): {
    cookie: Ref<any>;
    getCookie: () => void;
    setCookie: (newVal: any, options?: CookieSerializeOptions | undefined) => void;
    removeCookie: (options?: CookieSerializeOptions | undefined) => void;
};
